$("#fecha_pago").datepicker({
    dateFormat: 'yy-mm-dd'
  });

  $("#fecha_pagar_nomina").datepicker({
    dateFormat: 'yy-mm-dd'
  });


  $('#tipo_nomina').change(function() {
    var tipo_nomina = $('#tipo_nomina').val();
    var dates = new FormData();
    dates.append('tipo_nomina', tipo_nomina);
    fetch('autocompletar/consultahorario.php', {
        method: 'POST',
        body: dates
      })
      .then(res => res.json())
      .then(data => {
        if (data == 'Error') {
          //nada
        } else {}
        if (tipo_nomina == 100) {
          $('#periodo').empty();
          $('#periodo').append($("<option>", {
            value: '',
            text: 'Seleccione'
          }));
          for (i = 0; i < data.length; i++) {
            $('#periodo').append($("<option>", {
              value: data[i]['desde'] + ' ' + data[i]['hasta'],
              text: data[i]['desde'] + '  ' + data[i]['hasta']
            }));
          }
          //$('#div_fecha_pagar_nomina').hide();
		      // $('#div_quinc_conting_mensual').hide();
          //$("#fecha_pagar_nomina").prop("disabled",true);
		      //$("#quinc_conting_mensual").prop("disabled",true);
        } else if (tipo_nomina == 200) {
          $('#periodo').empty();
          $('#periodo').append($("<option>", {
            value: '',
            text: 'Seleccione'
          }));
          if (data !== null) {
            for (i = 0; i < data.length; i++) {
              $('#periodo').append($("<option>", {
                value: data[i]['desde'] + ' ' + data[i]['hasta'],
                text: data[i]['desde'] + '  ' + data[i]['hasta']
              }));
            }
          }
          
            //$('#div_fecha_pagar_nomina').show();
		      //$('#div_quinc_conting_mensual').show();
          //$("#fecha_pagar_nomina").prop("disabled",false);
          //$("#quinc_conting_mensual").prop("disabled",false);
        
		  
        }
      });
  });

  $(document).ready(function() {
    $('#enviarNomina').prop('disabled', true);
    $('#enviarNomina').css("opacity", 0.2);
    $('#nomina').change(function() {
      if ($(this).val() != '' && $('#tipo_nomina').val() != '' && $('#periodo').val() != '') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      } else {
        $('#enviarNomina').prop('disabled', true);
        $('#enviarNomina').css("opacity", 0.2);
      }

      if ($(this).val() == 'pagos_especiales' || $(this).val() == 'providencia_adtva' || $(this).val() == 'reenvios_especiales_otros1' || $(this).val() == 'reenvios_especiales_otros2' || $(this).val() == 'reenvios_especiales_otros3' || $(this).val() == 'vacaciones' || $(this).val() == 'finiquitos' || $(this).val() == 'utilidades' || $(this).val() == 'utilidades') {
        $('#periodo').attr('required', false);
        $('#div_periodo').hide();
        $('#div_fecha_pago').show();
        $('#fecha_pago').attr('required', true);
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);

      } else {
        $('#div_fecha_pago').hide();
        $('#fecha_pago').attr('required', false);
        $('#div_periodo').show();
        $('#periodo').attr('required', true);
      }

      if ($(this).val() == 'nomina_ordinaria' || $(this).val() == 'nomina_fideicomiso' || $(this).val() == 'nomina_dias_adic_fideicomiso') {
        $('#div_fecha_pago').show();
        $('#fecha_pago').attr('required', true);
      }

      if ($(this).val() == 'nomina_contingencia') {
        $('#div_numero_contingencia').show();
        $('#div_numero_contingencia').attr('required', true);
        
        $('#div_fecha_pagar_nomina').show();
        $('#div_quinc_conting_mensual').show();
        $("#fecha_pagar_nomina").prop("disabled",false);
        $("#quinc_conting_mensual").prop("disabled",false);


      } else {
        $('#div_numero_contingencia').hide();
      }

      if ($(this).val() == 'nomina_dias_adic_fideicomiso') {
        $('#div_periodo_adicionales_fideicomiso').show();
        $('#div_periodo_adicionales_fideicomiso').attr('required', true);
      } else {
        $('#div_periodo_adicionales_fideicomiso').hide();
      }

    });
    $('#tipo_nomina').change(function() {
      if ($(this).val() != '' && $('#nomina').val() != '' && $('#periodo').val() != '') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      } else {
        $('#enviarNomina').prop('disabled', true);
        $('#enviarNomina').css("opacity", 0.2);
      }

      if ($('#nomina').val() == 'pagos_especiales' || $('#nomina').val() == 'providencia_adtva' || $('#nomina').val() == 'reenvios_especiales_otros1' || $('#nomina').val() == 'reenvios_especiales_otros2' || $('#nomina').val() == 'reenvios_especiales_otros3' || $('#nomina').val() == 'vacaciones' || $('#nomina').val() == 'finiquitos' || $('#nomina').val() == 'utilidades') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      }
    });
    $('#periodo').change(function() {
      if ($(this).val() != '' && $('#nomina').val() != '' && $('#tipo_nomina').val() != '') {
        $('#enviarNomina').prop('disabled', false);
        $('#enviarNomina').css("opacity", 1);
      } else {
        $('#enviarNomina').prop('disabled', true);
        $('#enviarNomina').css("opacity", 0.2);
      }
    });

    $('#generarBanco').on("submit",function () {
      $('#generarBanco').submit();
      $('#generarBanco').prop('disabled', true);
    })
  });